%**********************************************************************
%BILPQ.....3
% VYKONOVA BILANCE UZLU, VYPOCET DEFEKTU VYKONU a ZTRAT

UhelVetve(PomSpr)=UhelUzlu(II)-UhelUzlu(JJ);	%  rozdily uhlu zacatku a konce vetve
Deltakm(PomSpr)=UhelUzlu(II)-UhelUzlu(JJ)-Gama;
UMul(PomSpr)=Um(II).*Um(JJ);	% soucin napeti na zacatku a konci vetve
UUy(PomSpr)=Um(II).*Um(JJ).*Ym;	% soucin napeti na zacatku a konci vetve
U=Um.*exp(i*UhelUzlu);
%	Vypocitej Pact a Qact
Pact=zeros(NU,1);			% vynuluj vektory pro vykon
Qact=zeros(NU,1);
Ztraty=0;
for Ip=PomSpr,		% pocitej Pact a Qact
  k=II(Ip);m=JJ(Ip);Ckm=cos(Deltakm(Ip));Skm=sin(Deltakm(Ip));
  Pact(k)=Pact(k)+UUy(Ip)*Ckm;
  Qact(k)=Qact(k)+UUy(Ip)*Skm;
  if k<m
     CPsi=cos(pi-Gama(Ip))*Ym(Ip);
     CDel=cos(UhelVetve(Ip));
     Ztraty=Ztraty +(Um(k)^2+Um(m)^2-2*UMul(Ip)*CDel)*CPsi;
  end
 end 
  %sestaveni vektoru defektu
 PDef(PQPU,1)=Pact(PQPU,1)-PW(PQPU,1);		% defekt P
 QDef(PQ,1)=  Qact(PQ,1)-QW(PQ,1); 		   % defekt Q
 PQDef=[PDef(PQPU);		% vektor defektu
       QDef(PQ)];
%*******************************************************************